package meerkat.mixer.proofs;

/**
 * Created by talm on 11/01/17.
 */


public interface Concatenator {
    public interface Pair<OutType, InType1, InType2>{
        public OutType concatenate(InType1 msg1, InType2 msg2);
        public InType1 getMsg1(OutType msg);
        public InType2 getMsg2(OutType msg);
    }

    public interface Triplet<OutType, InType1, InType2, InType3>{
        public OutType concatenate(InType1 msg1, InType2 msg2, InType3 msg3);
        public InType1 getMsg1of3(OutType msg);
        public InType2 getMsg2of3(OutType msg);
        public InType3 getMsg3of3(OutType msg);
    }
}
